#!/bin/sh
. /etc/rc.common
PRODUCT=AMAC
BUS_IF=USB

if  sudo rm ~/Library/Caches/com.apple.preferencepanes.cache ; then
	echo "Removing Preference Pane..."
	sudo rm -r /System/Library/PreferencePanes/${PRODUCT}_${BUS_IF}_WirelessAdaptor.prefPane
	echo "Removing Framework..."
	sudo rm -r /System/Library/Frameworks/${PRODUCT}_${BUS_IF}_PrismCocoa.framework
	echo "Removing Startup Items..."
	sudo rm -r /System/Library/StartupItems/${PRODUCT}_${BUS_IF}_PrismStartup
	sudo rm -r /System/Library/StartupItems/${PRODUCT}_${BUS_IF}_PrismStarter
	echo "Removing Driver..."
	sudo rm -r /System/Library/Extensions/PrismDuetteUSB.kext
	sudo rm -r /System/Library/Extensions/${PRODUCT}_${BUS_IF}_IntersilBase.kext
	echo "Updating Cache..."
	sudo /usr/sbin/kextcache -k /System/Library/Extensions
	sudo /usr/bin/touch /System/Library/Extensions
	sudo /usr/bin/touch /System/Library/PreferencePanes
	sudo /usr/bin/touch /System/Library/Frameworks
	sudo /usr/bin/touch /System/Library/StartupItems
	echo "Uninstall Complete."
fi

